import { ComponentFactoryResolver, ElementRef, OnChanges, SimpleChanges, ViewContainerRef } from '@angular/core';
import { AbstractFormFieldComponent } from '../abstract-form-field/abstract-form-field.component';
export declare class FormFieldDirective extends AbstractFormFieldComponent<any> implements OnChanges {
    readonly viewRef: ViewContainerRef;
    readonly cfr: ComponentFactoryResolver;
    protected readonly elRef: ElementRef;
    constructor(viewRef: ViewContainerRef, cfr: ComponentFactoryResolver, elRef: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    render(): void;
}
